## crystalspace 1.4.0+dfsg

=== debian/changelog ===
crystalspace (1.4.0+dfsg-4ubuntu1) oneiric; urgency=low

  * Drop build-dependency on NBS libcucul-dev.  crystalspace already
    build-depends on libcaca-dev, and libcucul-dev was merely a transitional
    package for libcaca-dev at the end of its life.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 01 Sep 2011 14:17:44 +0100

crystalspace (1.4.0+dfsg-4) unstable; urgency=low

  * Add upstream debian/patches/ARM_support.diff patch to add ARM to supported
    archs.
  * debian/rules: invoke bin/autogen.sh.
  * debian/control: add autoconf to Build-Depends field.
  * debian/control: add Vcs-Svn and Vcs-Browser fields.
  * Update libcrystalspace-1.4.symbols.amd64 file.
  * debian/rules: update dh_makeshlibs call.
  * Bump Standards-Version to 3.9.2.

 -- Devid Antonio Filoni <d.filoni@ubuntu.com>  Thu, 14 Apr 2011 10:46:41 +0200

crystalspace (1.4.0+dfsg-3) unstable; urgency=low

  * debian/control: remove quilt from Build-Depends field, not needed with
    new source format.
  * debian/control: adjust Architecture fields (Closes: #598755, #544831).
  * debian/control: remove crystalspace from crystalspace-data Depends field
    (Closes: #619538).
  * debian/control: remove crystalspace-doc and libcrystalspace-1.4 Suggests
    fields.
  * debian/rules: remove useless PATH_VERSION.
  * debian/rules: add -Wa,-mregnames to CFLAGS on powerpc (Closes: #594857).

 -- Devid Antonio Filoni <d.filoni@ubuntu.com>  Sat, 02 Apr 2011 22:07:50 +0200

crystalspace (1.4.0+dfsg-2) unstable; urgency=low

  * Upload to unstable.
  * debian/control: remove libjackasyn-dev from Build-Depends field.
  * debian/control: add missing Replaces and Breaks fields.
  * debian/{control, rules}: modify libcrystalspace package name to
    libcrystalspace-1.4.
  * Add libcrystalspace-1.4.symbols.amd64 symbols control file.
  * debian/rules: call dh_makeshlibs.
  * debian/rules: remove override_dh_strip target, files are already stripped
    during build.
  * debian/rules: move .dbg files generated during build from /usr/lib to
    libcrystalspace-dbg package, remove others.

 -- Devid Antonio Filoni <d.filoni@ubuntu.com>  Sun, 06 Mar 2011 14:52:29 +0100

crystalspace (1.4.0+dfsg-1) experimental; urgency=low

  * data/castle/* and data/castle-tex.zip in the original tarball are licensed
    under Creative Commons Attribution ShareAlike 2.5 which is a non-free
    license. Fix get-orig-source target to remove non-free files
    (Closes: #592926).
  * debian/patches/remove_castle_map.diff: remove non-free castle map.
  * debian/patches/default_walktest_parallaxtest.diff: set parallaxtest as
    default map for walktest.
  * debian/patches/csstartme_startme_cfg_programs.diff: don't show castle
    walktest anymore.
  * debian/control: modify libasound-dev to libasound-dev [ linux-any ] in
    Build-Depends field as suggested by Gonéri Le Bouder.
  * debian/rules: pass --enable-shared to ./configure as suggested by
    Gonéri Le Bouder, fix FTBFS on kFreeBSD.
  * debian/control: add default-jdk and libpng12-dev to Build-Depends field.
  * debian/control: don't build crystalspace on armel, ia64 and mipsel.
  * Fix debian-watch-file-should-mangle-version lintian warning.
  * Bump Standards-Version to 3.9.1.

 -- Devid Antonio Filoni <d.filoni@ubuntu.com>  Sat, 14 Aug 2010 18:43:16 +0200

crystalspace (1.4.0-1) experimental; urgency=low

  * New upstream release, tarball generated using the provided get-orig-source
    target.
  * New Debian package (Closes: #559071, #553571), keep old debian/changelog.
    Thanks to Christian Bayle who made the old Debian package.
  * debian/patches/csstartme_startme_cfg_programs.diff: do not show csdemo
    too, it doesn't work without demodata.zip which is not available anymore
    (Closes: #353656).

 -- Devid Antonio Filoni <d.filoni@ubuntu.com>  Thu, 15 Jul 2010 18:23:34 +0200

crystalspace (1.4.0~svn32711-1) unstable; urgency=low

  [ Devid Antonio Filoni ]
  * New upstream svn revision 32711.
  * debian/control: add myself to Uploaders field.
  * debian/rules: don't use --without-java during build.
  * debian/control: add jam to Build-Depends field.
  * Update debian/patches/csstartme_startme_cfg_programs.diff patch.
  * debian/rules: update get-orig-source to generate a tarball from svn.
  * debian/rules: do not depend on excutable bit.
  * Fix quilt-patch-missing-description lintian info.

  [ Barry deFreese ]
  * Build on amd64. (Closes: #543082).
  * Build with freeglut3-dev instead of glutg3-dev. (Closes: #543695).
  * Add ${misc:Depends} to all binaries for debhelper package.
  * Bump Standards Version to 3.8.3. (No changes needed).

 -- Barry deFreese <bdefreese@debian.org>  Fri, 23 Oct 2009 14:09:55 -0400

crystalspace (1.2.1-2) unstable; urgency=low

  * Build-depends on libode-dev instead of libode0-dev (Closes: #520729)
  * Unfold the Build-Depends: field
  * Drop --enable-new-renderer since it doesn't exist anymore
  * Pass CFLAGS as a env var, config.mak is not sourced anymore during the
    build (Closes: #524764)
  * CompareAndSet doesn't return an undef value on SPARC anymore
    + add sparc_defined_prev_in_CompareAndSet.diff 
  * atomicops_sparc.h uses some SPARCv9 instructions, add -Wa,-xarch=v8plus
    to CFLAGS to be sure gcc accept them
  * Bump standard version to 3.8.2, no change

 -- Gonéri Le Bouder <goneri@rulezlan.org>  Sun, 07 Jun 2009 17:03:06 +0200

crystalspace (1.2.1-1) unstable; urgency=low

  [ Barry deFreese ]
  * New maintainer.
    + Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
    + Keep Christian Bayle for collaboration.
  * Add VCS tags.
  * Acknowledge NMUs.
  * Move from section games to section devel.
  * Build without java for now.
  * Changes taken from Ubuntu package:
    + Thanks to Devid Filoni <d.filoni@techemail.com>.
    + Provide a get-orig-source target to do the repackaging.
    + Add libcaca-dev, libwxgtk2.8-dev, libcegui-mk2-dev build-deps.
    + Modify debian/rules to build in all architectures.


=== debian/control ===
Source: crystalspace
Section: libs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Christian Bayle <bayle@debian.org>, Barry deFreese
 <bdefreese@debian.org>, Devid Antonio Filoni <d.filoni@ubuntu.com>
Build-Depends: debhelper (>= 7.2.6), lib3ds-dev, autoconf,
 libogg-dev, libjpeg62-dev, libfreetype6-dev, zlib1g-dev, libode-dev
 | libode0-dev, libopenal-dev, libcal3d-dev, swig, flex, bison, doxygen,
 libmng-dev, libsdl1.2-dev, libx11-dev, libcaca-dev, libwxgtk2.8-dev,
 libcegui-mk2-dev, python-dev, libcppunit-dev,
 libasound-dev [ linux-any ], liblcms-dev, libcairo-dev, libcairomm-1.0-dev,
 libgtk2.0-dev, jam, libgl1-mesa-dev | libgl-dev, libvorbis-dev,
 libxxf86vm-dev, libxaw7-dev, default-jdk, libpng12-dev
Standards-Version: 3.9.2
Homepage: http://www.crystalspace3d.org/main/Main_Page
Vcs-Svn: svn://svn.debian.org/svn/pkg-games/packages/trunk/crystalspace/
Vcs-Browser: http://svn.debian.org/viewsvn/pkg-games/packages/trunk/crystalspace/

Package: libcrystalspace-1.4
Architecture: amd64 armel i386 kfreebsd-amd64 kfreebsd-i386 powerpc sparc
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: crystalspace (<< 1.4.0-1), libcrystalspace (<< 1.4.0+dfsg-2)
Breaks: crystalspace (<< 1.4.0-1), libcrystalspace (<< 1.4.0+dfsg-2)
Description: Multiplatform 3D Game Development Kit
 Crystal Space is a free 3D game toolkit. It can be used for a variety
 of 3D visualization tasks. Many people will probably be interested in using
 Crystal Space as the basis of a 3D game, for which it is well suited.

Package: libcrystalspace-dev
Section: libdevel
Architecture: amd64 armel i386 kfreebsd-amd64 kfreebsd-i386 powerpc sparc
Depends: ${shlibs:Depends}, ${misc:Depends}, libcrystalspace-1.4 (= ${binary:Version})
Replaces: crystalspace-dev
Conflicts: crystalspace-dev
Description: Multiplatform 3D Game Development Kit (development files)
 Crystal Space is a free 3D game toolkit. It can be used for a variety
 of 3D visualization tasks. Many people will probably be interested in using
 Crystal Space as the basis of a 3D game, for which it is well suited.
 .
 This package provides the development files of Crystal Space.

Package: libcrystalspace-dbg
Section: debug
Priority: extra
Architecture: amd64 armel i386 kfreebsd-amd64 kfreebsd-i386 powerpc sparc
Depends: ${misc:Depends}, libcrystalspace-1.4 (= ${binary:Version})
Description: Multiplatform 3D Game Development Kit (debugging files)
 Crystal Space is a free 3D game toolkit. It can be used for a variety
 of 3D visualization tasks. Many people will probably be interested in using
 Crystal Space as the basis of a 3D game, for which it is well suited.
 .
 This package provides the debugging files of Crystal Space.

Package: crystalspace
Architecture: amd64 armel i386 kfreebsd-amd64 kfreebsd-i386 powerpc sparc
Depends: ${shlibs:Depends}, ${misc:Depends}, crystalspace-data
 (= ${source:Version}), libcrystalspace-1.4 (= ${binary:Version})
Description: Multiplatform 3D Game Development Kit (binaries)
 Crystal Space is a free 3D game toolkit. It can be used for a variety
 of 3D visualization tasks. Many people will probably be interested in using
 Crystal Space as the basis of a 3D game, for which it is well suited.
 .
 This package provides the binaries of Crystal Space.

Package: crystalspace-data
Architecture: all
Depends: ${misc:Depends}
Replaces: crystalspace (<< 1.4.0-1)
Breaks: crystalspace (<< 1.4.0-1)
Description: Multiplatform 3D Game Development Kit (data files)
 Crystal Space is a free 3D game toolkit. It can be used for a variety
 of 3D visualization tasks. Many people will probably be interested in using
 Crystal Space as the basis of a 3D game, for which it is well suited.
 .
 This package provides the data files of Crystal Space binaries.

Package: crystalspace-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Description: documentation for Crystal Space
 Crystal Space is a free 3D game toolkit. It can be used for a variety
 of 3D visualization tasks. Many people will probably be interested in using
 Crystal Space as the basis of a 3D game, for which it is well suited.
 .
 This package provides documentation for Crystal Space.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_OPTIONS := nocheck

VERSION = 1.4.0
#REVISION = 32731

DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
COMPILER_FLAGS = 
ifeq ($(DEB_HOST_ARCH),powerpc)
	COMPILER_FLAGS = CFLAGS='-Wa,-mregnames'
endif

%:
	dh $@

override_dh_auto_configure:
	sh bin/autogen.sh # This can be removed in crystalspace 1.9
	sh configure $(COMPILER_FLAGS) --prefix=/usr --sysconfdir=/etc --enable-cpu-specific-optimizations=no --enable-shared

override_dh_auto_install:
	$(MAKE) DESTDIR=$(CURDIR)/debian/libcrystalspace-1.4 install_lib install_plugin
	$(MAKE) DESTDIR=$(CURDIR)/debian/libcrystalspace-dev install_include
	$(MAKE) DESTDIR=$(CURDIR)/debian/crystalspace install_bin
	$(MAKE) DESTDIR=$(CURDIR)/debian/crystalspace-data install_data install_config
	$(MAKE) DESTDIR=$(CURDIR)/debian/crystalspace-doc install_doc

	# Move /usr/bin/cs-config* files to libcrystalspace-dev package
	mkdir $(CURDIR)/debian/libcrystalspace-dev/usr/bin && \
		mv $(CURDIR)/debian/crystalspace/usr/bin/cs-config* \
		$(CURDIR)/debian/libcrystalspace-dev/usr/bin

	# Remove useless files from crystalspace-data package
	-rm -rf $(CURDIR)/debian/crystalspace-data/usr/share/crystalspace-*/build

	# Move .dbg files from /usr/lib to libcrystalspace-dbg package
	mkdir -p $(CURDIR)/debian/libcrystalspace-dbg/usr/lib/debug/usr/lib && \
		mv $(CURDIR)/debian/libcrystalspace-1.4/usr/lib/*.dbg \
		$(CURDIR)/debian/libcrystalspace-dbg/usr/lib/debug/usr/lib

	# Remove .dbg files generated during build
	rm $(CURDIR)/debian/crystalspace/usr/bin/*.dbg
	rm $(CURDIR)/debian/libcrystalspace-1.4/usr/lib/crystalspace-1.4/*.dbg

	# Fix extra-license-file lintian warnings:
	-rm $(CURDIR)/debian/crystalspace-doc/usr/share/doc/crystalspace-*/LICENSE

	# Fix script-not-executable lintian warning:
	chmod 755 $(CURDIR)/debian/crystalspace-data/usr/share/crystalspace-*/bindings/perl5/perlsimp.pl

override_dh_makeshlibs:
	dh_makeshlibs -V 'libcrystalspace-1.4 (>= 1.4.0+dfsg-4)'

#get-orig-source:
#	@cd $(CURDIR); \
#	svn co -r ${REVISION} https://crystal.svn.sourceforge.net/svnroot/crystal/CS/branches/release/V1.4 \
#		crystalspace-${VERSION}~svn${REVISION}; \
#	tar --exclude=*.svn -cf ../crystalspace_${VERSION}~svn${REVISION}.orig.tar \
#		crystalspace-${VERSION}~svn${REVISION}; \
#	rm -rf crystalspace-${VERSION}~svn${REVISION}; \
#	gzip -9nf ../crystalspace_${VERSION}~svn${REVISION}.orig.tar;

get-orig-source:
	@cd $(CURDIR); \
	wget http://www.crystalspace3d.org/downloads/release/crystalspace-src-${VERSION}.tar.bz2; \
	tar fjx crystalspace-src-${VERSION}.tar.bz2; \
	rm -f crystalspace-src-${VERSION}.tar.bz2; \
	mv crystalspace-src-${VERSION} crystalspace-${VERSION}+dfsg; \
	tar --exclude=data/castle* -cf ../crystalspace_${VERSION}+dfsg.orig.tar crystalspace-${VERSION}+dfsg; \
	rm -fr crystalspace-${VERSION}+dfsg; \
	gzip -9fn ../crystalspace_${VERSION}+dfsg.orig.tar

## crystalspace 2.0+dfsg

=== apps/tools/jam/Makefile ===
# Makefile for jam

CC = cc
CFLAGS =
EXENAME = ./jam0
TARGET = -o $(EXENAME)

# Special flavors - uncomment appropriate lines

# NCR seems to have a broken readdir() -- use gnu
#CC = gcc

# AIX needs -lbsd, and has no identifying cpp symbol
# Use _AIX41 if you're not on 3.2 anymore.
#LINKLIBS = -lbsd
#CFLAGS = -D_AIX

# NT (with Microsoft compiler)
# Use FATFS if building on a DOS FAT file system
#Lib = $(MSVCNT)/lib
#Include = $(MSVCNT)/include
#CC = cl /nologo
#CFLAGS = -I $(Include) -DNT 
#TARGET = /Fejam0
#LINKLIBS = $(Lib)/oldnames.lib $(Lib)/kernel32.lib $(Lib)/libc.lib
#EXENAME = .\jam0.exe

# NT (with Microsoft compiler)
# People with DevStudio settings already in shell environment.
#CC = cl /nologo
#CFLAGS = -DNT 
#TARGET = /Fejam0
#EXENAME = .\jam0.exe

# Interix - gcc
#CC = gcc

# Cygwin - gcc & cygwin
#CC = gcc
#CFLAGS = -D__cygwin__

# MingW32
#CC = gcc
#CFLAGS = -DMINGW

# MSYS
# CC = gcc
# CFLAGS = -DMSYS

# MPEIX
#CC = gcc
#CFLAGS = -I/usr/include -D_POSIX_SOURCE

# QNX rtp (neutrino)
#CC = gcc

SOURCES = \
	builtins.c \
	command.c compile.c execunix.c execvms.c expand.c \
	filent.c fileos2.c fileunix.c filevms.c glob.c hash.c \
	headers.c jam.c jambase.c jamgram.c lists.c make.c make1.c \
	newstr.c option.c parse.c pathunix.c pathvms.c regexp.c \
	rules.c scan.c search.c timestamp.c variable.c

all: $(EXENAME)
	$(EXENAME)

$(EXENAME):
	$(CC) $(TARGET) $(CFLAGS) $(SOURCES) $(LINKLIBS)

=== scripts/packaging/msi/Makefile ===
WIX_FLAGS = -v -nologo #-pedantic
CANDLEFLAGS = 
LIGHTFLAGS = -ext c:\bin\WixUIExtension.dll -cultures:en-us -ss -sval
CELBASE = cel
CSBASE = CS
B2CSBASE = b2cs
CS_MSMS =  CS.include.msm \
	CS.data.msm \
	CS.vfs.msm \
	CS.register.msm \
	CS.doc.msm \
	CS.arch.GCC.executable.msm \
	CS.arch.GCC.support.msm \
	CS.arch.GCC.include.msm \
	CS.arch.GCC.lib.msm

CEL_MSMS = cel.include.msm \
	cel.data.msm \
	cel.vfs.msm \
	cel.register.msm \
	cel.doc.msm \
	cel.arch.GCC.executable.msm \
	cel.arch.GCC.include.msm \
	cel.arch.GCC.lib.msm

B2CS_MSMS = b2cs.blender.plugin.msm

PYTHON_MSMS = python_new.msm

all: CS.msi cel.msi CS_cel.msi CS_cel_b2cs.msi b2cs.msi CS_cel_b2cs_python.msi

CS.msi: $(CS_MSMS) \
	CS.wixobj
	light $(WIX_FLAGS) $(LIGHTFLAGS) CS.wixobj


cel.msi: $(CEL_MSMS) \
	cel.wixobj
	light $(WIX_FLAGS) $(LIGHTFLAGS) cel.wixobj

CS_cel.msi: $(CS_MSMS) \
	$(CEL_MSMS) \
	CS_cel.wixobj
	light $(WIX_FLAGS) $(LIGHTFLAGS) CS_cel.wixobj

CS_cel_b2cs.msi: $(CS_MSMS) \
	$(CEL_MSMS) \
	$(B2CS_MSMS) \
	CS_cel_b2cs.wixobj
	light $(WIX_FLAGS) $(LIGHTFLAGS) CS_cel_b2cs.wixobj


CS_cel_b2cs_python.msi: $(CS_MSMS) \
	$(CEL_MSMS) \
	$(B2CS_MSMS) \
	$(PYTHON_MSMS) \
	CS_cel_b2cs_python.wixobj
	light $(WIX_FLAGS) $(LIGHTFLAGS) CS_cel_b2cs_python.wixobj

b2cs.msi: $(B2CS_MSMS) \
	b2cs.wixobj
	light $(WIX_FLAGS) $(LIGHTFLAGS) b2cs.wixobj

cel.include.msm: cel.include.wixobj
	light -b $(CELBASE) $(WIX_FLAGS) $(LIGHTFLAGS) $^
cel.vfs.msm: cel.vfs.wixobj
	light -b $(CELBASE) $(WIX_FLAGS) $(LIGHTFLAGS) $^
cel.register.msm: cel.register.wixobj
	light -b $(CELBASE) $(WIX_FLAGS) $(LIGHTFLAGS) $^
cel.doc.msm: cel.doc.wixobj
	light -b $(CELBASE) $(WIX_FLAGS) $(LIGHTFLAGS) $^
cel.data.msm: cel.data.wixobj
	light -b $(CELBASE) $(WIX_FLAGS) $(LIGHTFLAGS) $^
cel.arch.GCC.include.msm: cel.arch.GCC.include.wixobj
	light -b $(CELBASE) $(WIX_FLAGS) $(LIGHTFLAGS) $^
cel.arch.GCC.lib.msm: cel.arch.GCC.lib.wixobj
	light -b $(CELBASE) $(WIX_FLAGS) $(LIGHTFLAGS) $^
cel.arch.GCC.executable.msm: cel.arch.GCC.executable.wixobj
	light -b $(CELBASE) $(WIX_FLAGS) $(LIGHTFLAGS) $^

CS.include.msm: CS.include.wixobj
	light -b $(CSBASE) $(WIX_FLAGS) $(LIGHTFLAGS) $^
CS.vfs.msm: CS.vfs.wixobj
	light -b $(CSBASE) $(WIX_FLAGS) $(LIGHTFLAGS) $^
CS.register.msm: CS.register.wixobj
	light -b $(CSBASE) $(WIX_FLAGS) $(LIGHTFLAGS) $^
CS.doc.msm: CS.doc.wixobj
	light -b $(CSBASE) $(WIX_FLAGS) $(LIGHTFLAGS) $^
CS.data.msm: CS.data.wixobj
	light -b $(CSBASE) $(WIX_FLAGS) $(LIGHTFLAGS) $^
CS.arch.GCC.include.msm: CS.arch.GCC.include.wixobj
	light -b $(CSBASE) $(WIX_FLAGS) $(LIGHTFLAGS) $^
CS.arch.GCC.lib.msm: CS.arch.GCC.lib.wixobj
	light -b $(CSBASE) $(WIX_FLAGS) $(LIGHTFLAGS) $^
CS.arch.GCC.executable.msm: CS.arch.GCC.executable.wixobj
	light -b $(CSBASE) $(WIX_FLAGS) $(LIGHTFLAGS) $^
CS.arch.GCC.support.msm: CS.arch.GCC.support.wixobj
	light -b $(CSBASE) $(WIX_FLAGS) $(LIGHTFLAGS) $^

b2cs.blender.plugin.msm: b2cs.blender.plugin.wixobj
	light -b $(B2CSBASE) $(WIX_FLAGS) $(LIGHTFLAGS) $^

.SECONDARY: %msm %wixobj

%.msi: %.wixobj
	light $(WIX_FLAGS) $(LIGHTFLAGS) $^

%.msm: %.wixobj
	light $(BASE) ${^/.*/} $(WIX_FLAGS) $(LIGHTFLAGS) $^

%.wixobj: %.wxs
	candle $(WIX_FLAGS) $(CANDLEFLAGS) $^



install: CS.msi
	msiexec /i CS.msi

validate: CS.msi
	smoke $^

uninstall: CS.msi
	msiexec /X
clean:
	find . -maxdepth 1 -type f '(' -name '*msm' -or -name '*msi' -or -name '*wixpdb' -or -name '*wixobj' ')' -exec rm '{}' \;

=== debian/changelog ===
crystalspace (2.0+dfsg-1build1) trusty; urgency=medium

  * No-change rebuild for libmng soname bump.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 16 Dec 2013 16:49:08 +0100

crystalspace (2.0+dfsg-1) unstable; urgency=low

  * Team upload.
  * Build-dep on libjpeg-dev instead of libjpeg62-dev. (Closes: #633727)
  * Drop build-dep on libcucul-dev. (Closes: #633809)
  * debian/rules: Just skip dh_auto_test instead of forcing DEB_BUILD_OPTIONS
    to "nocheck".
  * debian/README.source: Remove quilt documentation.

  [ Barry deFreese ]
  * New upstream release (2.0).
    - Remove ARM patch as it is now in upstream.
    - Add patch to fix instantiation errors.
  * Refresh patch to remove castle maps on build.
  * Build-dep on libpng-dev not libpng12-dev. (Closes: #662540)
  * Add hardening flags.
  * Bump Standards Version to 3.9.4.

 -- Barry deFreese <bdefreese@debian.org>  Wed, 15 May 2013 12:36:58 -0400

=== debian/control ===
--- 
+++ 
@@ -1,24 +1,23 @@
 Source: crystalspace
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
+Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Uploaders: Christian Bayle <bayle@debian.org>, Barry deFreese
  <bdefreese@debian.org>, Devid Antonio Filoni <d.filoni@ubuntu.com>
-Build-Depends: debhelper (>= 7.2.6), lib3ds-dev, autoconf,
- libogg-dev, libjpeg62-dev, libfreetype6-dev, zlib1g-dev, libode-dev
+Build-Depends: debhelper (>= 7.2.6), dpkg-dev (>= 1.16.1~), lib3ds-dev, autoconf,
+ libogg-dev, libjpeg-dev, libfreetype6-dev, zlib1g-dev, libode-dev
  | libode0-dev, libopenal-dev, libcal3d-dev, swig, flex, bison, doxygen,
  libmng-dev, libsdl1.2-dev, libx11-dev, libcaca-dev, libwxgtk2.8-dev,
  libcegui-mk2-dev, python-dev, libcppunit-dev,
  libasound-dev [ linux-any ], liblcms-dev, libcairo-dev, libcairomm-1.0-dev,
  libgtk2.0-dev, jam, libgl1-mesa-dev | libgl-dev, libvorbis-dev,
- libxxf86vm-dev, libxaw7-dev, default-jdk, libpng12-dev
-Standards-Version: 3.9.2
+ libxxf86vm-dev, libxaw7-dev, default-jdk, libpng-dev
+Standards-Version: 3.9.4
 Homepage: http://www.crystalspace3d.org/main/Main_Page
 Vcs-Svn: svn://svn.debian.org/svn/pkg-games/packages/trunk/crystalspace/
 Vcs-Browser: http://svn.debian.org/viewsvn/pkg-games/packages/trunk/crystalspace/
 
-Package: libcrystalspace-1.4
+Package: libcrystalspace-2.0
 Architecture: amd64 armel i386 kfreebsd-amd64 kfreebsd-i386 powerpc sparc
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Replaces: crystalspace (<< 1.4.0-1), libcrystalspace (<< 1.4.0+dfsg-2)
@@ -31,7 +30,7 @@
 Package: libcrystalspace-dev
 Section: libdevel
 Architecture: amd64 armel i386 kfreebsd-amd64 kfreebsd-i386 powerpc sparc
-Depends: ${shlibs:Depends}, ${misc:Depends}, libcrystalspace-1.4 (= ${binary:Version})
+Depends: ${shlibs:Depends}, ${misc:Depends}, libcrystalspace-2.0 (= ${binary:Version})
 Replaces: crystalspace-dev
 Conflicts: crystalspace-dev
 Description: Multiplatform 3D Game Development Kit (development files)
@@ -45,7 +44,7 @@
 Section: debug
 Priority: extra
 Architecture: amd64 armel i386 kfreebsd-amd64 kfreebsd-i386 powerpc sparc
-Depends: ${misc:Depends}, libcrystalspace-1.4 (= ${binary:Version})
+Depends: ${misc:Depends}, libcrystalspace-2.0 (= ${binary:Version})
 Description: Multiplatform 3D Game Development Kit (debugging files)
  Crystal Space is a free 3D game toolkit. It can be used for a variety
  of 3D visualization tasks. Many people will probably be interested in using
@@ -56,7 +55,7 @@
 Package: crystalspace
 Architecture: amd64 armel i386 kfreebsd-amd64 kfreebsd-i386 powerpc sparc
 Depends: ${shlibs:Depends}, ${misc:Depends}, crystalspace-data
- (= ${source:Version}), libcrystalspace-1.4 (= ${binary:Version})
+ (= ${source:Version}), libcrystalspace-2.0 (= ${binary:Version})
 Description: Multiplatform 3D Game Development Kit (binaries)
  Crystal Space is a free 3D game toolkit. It can be used for a variety
  of 3D visualization tasks. Many people will probably be interested in using

=== debian/rules ===
--- 
+++ 
@@ -1,32 +1,38 @@
 #!/usr/bin/make -f
 
-export DEB_BUILD_OPTIONS := nocheck
-
-VERSION = 1.4.0
+VERSION = 2.0
 #REVISION = 32731
 
+#Cannot include hardening flags as jam segfaults with -foo=bar type switches
+# so manually add what we can for now.
+#DPKG_EXPORT_BUILDFLAGS = 1
+#include /usr/share/dpkg/buildflags.mk
+CFLAGS+=-Wall -g -O2 -fstack-protector
+
 DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
-COMPILER_FLAGS = 
+
 ifeq ($(DEB_HOST_ARCH),powerpc)
-	COMPILER_FLAGS = CFLAGS='-Wa,-mregnames'
+	CFLAGS+=-Wa,-mregnames
 endif
+
+COMPILER_FLAGS = CFLAGS='$(CFLAGS)'
 
 %:
 	dh $@
 
 override_dh_auto_configure:
-	sh bin/autogen.sh # This can be removed in crystalspace 1.9
+#	sh bin/autogen.sh # This can be removed in crystalspace 1.9
 	sh configure $(COMPILER_FLAGS) --prefix=/usr --sysconfdir=/etc --enable-cpu-specific-optimizations=no --enable-shared
 
 override_dh_auto_install:
-	$(MAKE) DESTDIR=$(CURDIR)/debian/libcrystalspace-1.4 install_lib install_plugin
+	$(MAKE) DESTDIR=$(CURDIR)/debian/libcrystalspace-2.0 install_lib install_plugin
 	$(MAKE) DESTDIR=$(CURDIR)/debian/libcrystalspace-dev install_include
 	$(MAKE) DESTDIR=$(CURDIR)/debian/crystalspace install_bin
 	$(MAKE) DESTDIR=$(CURDIR)/debian/crystalspace-data install_data install_config
 	$(MAKE) DESTDIR=$(CURDIR)/debian/crystalspace-doc install_doc
 
 	# Move /usr/bin/cs-config* files to libcrystalspace-dev package
-	mkdir $(CURDIR)/debian/libcrystalspace-dev/usr/bin && \
+	mkdir -p $(CURDIR)/debian/libcrystalspace-dev/usr/bin && \
 		mv $(CURDIR)/debian/crystalspace/usr/bin/cs-config* \
 		$(CURDIR)/debian/libcrystalspace-dev/usr/bin
 
@@ -35,21 +41,29 @@
 
 	# Move .dbg files from /usr/lib to libcrystalspace-dbg package
 	mkdir -p $(CURDIR)/debian/libcrystalspace-dbg/usr/lib/debug/usr/lib && \
-		mv $(CURDIR)/debian/libcrystalspace-1.4/usr/lib/*.dbg \
+		mv $(CURDIR)/debian/libcrystalspace-2.0/usr/lib/*.dbg \
 		$(CURDIR)/debian/libcrystalspace-dbg/usr/lib/debug/usr/lib
 
 	# Remove .dbg files generated during build
 	rm $(CURDIR)/debian/crystalspace/usr/bin/*.dbg
-	rm $(CURDIR)/debian/libcrystalspace-1.4/usr/lib/crystalspace-1.4/*.dbg
+	rm $(CURDIR)/debian/libcrystalspace-2.0/usr/lib/crystalspace-2.0/*.dbg
+
+	# Include other krystal data files in crystalspace-data package
+	mkdir -p $(CURDIR)/debian/crystalspace-data/usr/share/crystalspace-2.0/data/krystal/mocap 
+	cp $(CURDIR)/data/krystal/mocap/* \
+		$(CURDIR)/debian/crystalspace-data/usr/share/crystalspace-2.0/data/krystal/mocap/
 
 	# Fix extra-license-file lintian warnings:
 	-rm $(CURDIR)/debian/crystalspace-doc/usr/share/doc/crystalspace-*/LICENSE
 
 	# Fix script-not-executable lintian warning:
-	chmod 755 $(CURDIR)/debian/crystalspace-data/usr/share/crystalspace-*/bindings/perl5/perlsimp.pl
+	#chmod 755 $(CURDIR)/debian/crystalspace-data/usr/share/crystalspace-*/bindings/perl5/perlsimp.pl
+
+override_dh_auto_test:
+	# skipping tests
 
 override_dh_makeshlibs:
-	dh_makeshlibs -V 'libcrystalspace-1.4 (>= 1.4.0+dfsg-4)'
+	dh_makeshlibs -V 'libcrystalspace-2.0 (>= 1.4.0+dfsg-4)'
 
 #get-orig-source:
 #	@cd $(CURDIR); \

=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg// \
http://www.crystalspace3d.org/main/Download \
  http://www.crystalspace3d.org/downloads/release/crystalspace-src-([\d.]+)\.tar\.gz
